*,*::before, *::after {
    box-sizing:border-box;
    margin: 0;
    padding: 0;
    cursor: none;
}

html, body {
    height: 100vh;
    margin: 0 auto;
    padding: 0;
    cursor: none;
}

@font-face {
    font-family: "MontserratRoman-ExtraLight";
    src: url("./fonts/Montserrat-VariableFont_wght.ttf") format("truetype");
}

@font-face {
    font-family: "Gurmukhi MN";
    src: url("./fonts/Gurmukhi\ MN.ttc") format("truetype");
}

@font-face {
    font-family: "NIGHTMARE PILLS";
    src: url("./fonts/NightmarePills-BV2w.ttf") format("truetype");
}

@font-face {
    font-family: "Harry Potter";
    src: url("./fonts/HarryPotter-ov4z.ttf") format("truetype");
}

@font-face {
    font-family: "Misteri Caps";
    src: url("./fonts/MisteriCaps-8Mxyz.ttf") format("truetype");
}

.wand_cursor {
    position: fixed;
    width: 50px;
    pointer-events: none;
    z-index: 1000;
}

.sparkle {
    position: absolute;
    width: 20px;
    height: 20px;
    background: radial-gradient(circle, #fff 30%, transparent 70%);
    border-radius: 50%;
    pointer-events: none;
    animation: sparkle-fade 0.6s ease-out forwards;
  }
  
  @keyframes sparkle-fade {
    0% { opacity: 1; transform: scale(1); }
    100% { opacity: 0; transform: scale(3); }
  }

#marauders-intro {
    min-height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
    background: black;
    color: white;
    font-size: 3rem;
    font-family: Misteri Caps;
  }
  
  @keyframes fadeInChar {
    to {
      opacity: 0.5;
    }
  }

  @keyframes rollUp {
    0% {
      transform: translateY(0);
      opacity: 0.5;
    }
    100% {
      transform: translateY(-200%);
      opacity: 0;
    }
  }
  
  #roll-away {
    animation: rollUp 3s ease-in forwards;
  }

#welcome_page {
    display: flex;
    flex-direction: column;
    height: 100vh;
    margin: 0;
    transition: background 3s ease;
    overflow: hidden;
    font-family: 'Gurmukhi MN', serif;
}

body.morning {
    background: linear-gradient( 180deg, #a99a6f, #3c300a);
}
body.afternoon {
    background: linear-gradient(180deg, #504931, #31271e);
}
body.night {
    background: linear-gradient(180deg, #1e1e1f, #000000);
}

#welcome_wrapper {
    position: relative;
}

#wel_mes {
    font-size: 3rem;
    margin-bottom: 20px;
    font-family: NIGHTMARE PILLS;
    position: relative;
    top: 12rem;
    text-align: center;
    color: whitesmoke;
    font-weight: lighter;
}

#explore_bt {
    font-size: 1.2rem;
    color: #f3e1ab;
    text-decoration: none;
    border: 1px solid #f3e1ab;
    padding: 10px 20px;
    border-radius: 20px;
    transition: background 0.3s ease, color 0.3s ease;
    position: relative;
    left: 32%;
    top: 12rem;
    cursor: none;
}

#explore_bt:hover {
    background: #f3e1ab;
    color: #000;
}

.smoke_container {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    pointer-events: none; 
    overflow: hidden;
}

.smoke_effect {
    position: absolute;
    width: 150%;
    height: 100vh;
    bottom: 20%;
    left: -15%;
    opacity: 0.2; 
    animation: drift 20s infinite linear;
}

.smoke {
    position: absolute;
    top: 50%;
    left: 50%;
    width: 400px;
    height: 400px;
    margin-top: -200px;
    margin-left: -200px;
    background: radial-gradient(closest-side, rgba(255, 255, 255, 0.3), transparent);
    filter: blur(60px);
    opacity: 0.7;
    animation: smokeMove 15s infinite ease-in-out;
    z-index: 1;
}

@keyframes drift {
    0% {
        transform: translateX(0) translateY(0) rotate(0deg);
    }
    50% {
        transform: translateX(10%) translateY(-5%) rotate(10deg);
    }
    100% {
        transform: translateX(0) translateY(0) rotate(0deg);
    }
}

@keyframes smokeMove {
    0% {
        transform: translate(-20px, -30px) scale(1);
    }
    50% {
        transform: translate(20px, 30px) scale(1.1);
    }
    100% {
        transform: translate(-20px, -30px) scale(1);
    }
}

#background2,
#background4 {
    min-height: 100vh;
    width: 100%;
    background: linear-gradient(180deg, #0b0b0d, #2e2e3a, #000000);
    color: #e8e8e3; 
}

main {
    margin-bottom: 0;
  }

.container {
    margin-bottom: 0;
  }


.candle {
    width: 1rem;
    height: 60px;
    border-radius: 50%;
    filter: blur(6px);
    animation: candleFlicker 1.5s infinite alternate;
}

#candle1 {
    position: relative;
    bottom: 10rem;
    right: 3rem;
}

#candle2 {
    position: relative;
    bottom: 8rem;
    left: 3rem;
}

#candle3 {
    position: relative;
    bottom: 20rem;
    left: 9rem;
}

#candle4 {
    position: relative;
    left: 12rem;
}

#candle5 {
    position: relative;
    top: 75rem;
    right: 3rem;
}

#candle6 {
    position: relative;
    top: 60rem;
    left: 3rem;
}

#candle7 {
    position: relative;
    top: 72rem;
    left: 8rem;
}

#candle8 {
    position: relative;
    top: 44rem;
    left: 12rem;
}

#candle9 {
    position: relative;
    top: 54rem;
    left: 11rem;
}

@keyframes candleFlicker {
    from {
        opacity: 0.4;
        transform: translateY(-2px);
    }
    to {
        opacity: 1;
        transform: translateY(2px);
    }
}

.parchment_container {
    display: grid;
     
}

.parch {
    animation: fadeInUp 10s ease forwards; 
    opacity: 0;
    transform: translateY(50px);
    transition: opacity 10s ease-out, transform 10s ease-out;
    cursor: none;
}


.parch.visible {
    opacity: 1;
    transform: translateY(0);
}


#parchment1 {
    animation-delay: 2s;
}

#parchment2 {
    animation-delay: 5s;
}

#parchment3 {
    animation-delay: 9s;
}

@keyframes fadeInUp {
    to {
      opacity: 0.5;
      transform: translateY(0);
    }
  }


.parchment {
    display: block;
    width: 20rem;
    border: none;
    margin: 0;
    transition: transform 0.5s ease, box-shadow 0.8s ease;
    position: relative;
    bottom: 30rem;
    left: 2rem;
    padding-bottom: 5rem;
    overflow: hidden;
    cursor: none;
}

.parchment:hover {
    transform: translateY(-5px) scale(1.09); 
}

.parchment::after {
    content: '';
    position: absolute;
    top: 0;
    left: -100%;
    width: 100%;
    height: 100%;
    transform: skewX(-25deg);
    transition: left 0.7s ease-in-out;
}

.parchment:hover::after {
    left: 125%;
}


.home_open {
    position: relative;
    bottom: 38rem;
    padding-left: 1rem;
}

#hey {
    font-family: Harry Potter;
}

#home_words {
    font-family: MontserratRoman-ExtraLight;
    font-size: 1.5rem;
    font-weight: lighter;
}

.footer_bg {
    background-color: black; 
}

#background3 {
    background: linear-gradient(180deg, #6d5425, #2d210a, #000000);
    min-height: 100vh;
    width: 100%;

}

.aboutme_content {
    color: white;
    font-family: MontserratRoman-ExtraLight;
    font-weight: lighter;
    padding: 1rem; 
}

.aboutme_open {
    position: relative;
    bottom: 5rem;

}

.meet_me {
    font-family: Harry Potter;
    font-weight: lighter;
}

.aboutme_details {
    text-align: justify; 
}

#profile{
    margin-top: -2.5rem;
    padding-bottom:15rem;
}

.skills{
    position: relative;
    bottom: 13rem;
}

#skills_heading {
    text-align: center;
    font-family: NIGHTMARE PILLS;
    font-weight: lighter;
    margin-bottom: 1rem;
}

.skill_logos_container {
    overflow: hidden;
}

.skill_logos {
    display: flex;
    justify-content: space-between;
    width: calc(200%); 
    animation: scrollSkills 15s linear infinite;
}

@keyframes scrollSkills {
    0% {
      transform: translateX(0);
    }
    100% {
      transform: translateX(-50%);
    }
  }


#more_details{
    position: relative;
    bottom: 10rem;
    text-align: center;
}

#my_contact,
#my_resume {
    background-color: rgb(136, 136, 102);
    border-radius: 1.5rem;
    padding: 1rem;
    cursor: none;
}

#my_contact{
    margin-right: 1rem;
}

#html,
#javascript,
#css,
#react {
    width: 35px;
}

.footprint {
    position: absolute;
    width: 20px;
    opacity: 0.4;
    transform: rotate(var(--angle, 45deg));
    transition: transform 3s linear, left 3s linear, top 3s linear;
    z-index: 10;
    animation: fadeInOut 3s ease-in-out forwards;
}

@keyframes fadeInOut {
  0% { opacity: 0; }
  10% { opacity: 0.4; }
  90% { opacity: 0.4; }
  100% { opacity: 0; }
}

#background4 {
   color: white;
}

#work {
    font-family: Harry Potter;
    padding-left: 1rem;
    position: relative;
    bottom: 3rem;
}

#project_words {
    font-family: MontserratRoman-ExtraLight;
    font-weight: lighter;
    padding-left: 1rem;
    font-size: 1.5rem;
    position: relative;
    bottom: 3rem;
}

.project_list {
    padding: 3rem;
    text-align: center;
    padding-bottom: 45%;
    transform: translateY(30px);
    animation: fadeUp 0.6s ease-out forwards;
  
}

.project_content {
    border-style: solid;
    border-color: black;
    border-radius: 1.5rem;
    padding: 1rem;
    padding-bottom: 3rem;
    margin-bottom: 3rem;
    font-family: MontserratRoman-ExtraLight;
    font-weight: lighter;
    transition: transform 0.5s ease, box-shadow 0.8s ease; 
    animation: fadeInUp 0.6s ease forwards;  
    opacity: 0;
    transform: translateY(50px);
    transition: opacity 10s ease-out, transform 10s ease-out;
}

.project_content.visible {
    opacity: 1;
    transform: translateY(0);
  }

.project_content:hover {
    transform: translateY(-5px) scale(1.09);
    box-shadow: 0 0 20px rgba(240, 239, 232, 0.6); 
    transition: all 0.9s ease-in-out;
}

#content1 {
    animation-delay: 0.3s;
}

#content2 {
    animation-delay: 0.5s;
}

#content3 {
    animation-delay: 0.9s;
}

@keyframes fadeInUp {
    to {
      opacity: 1;
      transform: translateY(0);
    }
  }

h3 {
    font-family: NIGHTMARE PILLS;
    padding-bottom: 1rem;
    padding-top: 0.5rem;
}

.project-p {
    text-align: justify;
    margin-bottom: 2rem;
    padding-top: 2rem;
}

#brawlHaven_img,
#fantasy_img,
#portfolio_img {
    width: 80%;
    margin-top: 2rem;
    border-radius: 1.5rem;
    mask-image: linear-gradient(to bottom, black 50%, transparent 100%);
    -webkit-mask-image: linear-gradient(to bottom, black 50%, transparent 100%)
}

#live {
    border-radius: 1.5rem;
    padding: 1rem;
    background-color:  rgba(2, 23, 48, 0.672);
    color: white;
    cursor: none;
}

.menu {
    padding: 15px;
    text-align: right;
    color: black;
    font-family: MontserratRoman-ExtraLight;
    letter-spacing: 0.2rem;
    font-weight: lighter;
    cursor: none;
}

.hamburger {
    font-size: 30px;
    display: flex;
    flex-direction: column;
    gap: 5px;
    background: none;
    border: none;
    cursor: none;
}

.hamburger .bar {
    width: 25px;
    height: 3px;
    background-color: #e8e8e3;
    position: relative;
    left: 1rem;
    bottom: 3rem;
    cursor: none;
}

.hamburger .close {
    display: none;
    font-size: 30px;
    color: white;
    cursor: none;
}


li {
    list-style: none;
    padding: 10px;
    text-decoration: none;
    cursor: none;
}

a {
    text-decoration: none;
    color: white;
    cursor: none;
}

.nav_links {
    display: none;
    flex-direction: column;
    gap: 20px;
    padding: 60px 20px 20px 20px;
    margin: 0;
    background-color: black; 
    position: fixed;
    top: 0;
    right: 0;
    width: 80%;
    height: 100vh;
    color: white;
    z-index: 999;
    text-align: left ;
}

.menu.active .nav_links {
    display: block;
    height: 100%;
}


.nav_container {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 20px;

}

.menu.active .hamburger .bar {
    display: none;
}

.menu.active .hamburger .close {
    display: block;
}

.close {
    position: absolute;
    top: 20px;
    right: 30px;
    font-size: 20px;
    color: white;
    border-style: solid;
    font-family: Montserrat-Thin;
    padding: 10px;
    
}

.close:hover {
    color: black;
    background-color: white;
    font-weight: bolder;
}

#logo {
    width: 9rem;
    position: relative;
    right: 2.5rem;
    bottom: 3rem;
    border-radius: 2.5rem;
    cursor: none;
}

.wel_container {
    text-align: center;   
}

footer {
    width: 100%;
    background-color: black;
    color: white;
    text-align: center;
    font-family: Hiragino Sans;
    font-weight: lighter;
    margin-top: 0;
    position: relative;
    bottom: 8rem;
    padding: 1rem;
    font-size: 1.3rem;
}


#linkdn {
    width: 40px;
    cursor: none;
}

#github {
    width: 40px;
    cursor: none;
}

#email_owl {
    width: 70px;
    position: relative;
    top: 1.3rem;
}

#email_bt {
    position: relative;
    bottom: 1rem;
    padding: 1rem;
    cursor: none;
}

#email_bt:hover {
    border-radius: 2.5rem;
    border-color: rgb(220, 145, 7);
    background-color:  rgb(220, 145, 7);
    color: white;
    padding: 1rem;
    font-weight: bolder;
}

/* Targeting other screen size */

@media (min-width: 600px) {

    #wel_mes {
        margin-left: 1rem;
        font-size: 6.5rem;
        text-align: left;
        margin-bottom: 3rem;
    }

    #explore_bt {
        position: relative;
        left: 1rem;
    }

   .hamburger {
        display: none;
   }

   .nav_links{
        display: flex;
        background-color: transparent;
   }

   .nav_links ul {
        display: flex;
        text-align: right;
        gap: 2rem;
        position: static;
        position: relative;
        left: 30rem;
        bottom: 3rem;
        scroll-behavior: auto;
   }

   .nav_links li:hover {
        text-shadow: 0 0 20px rgba(240, 239, 232, 0.6); 
        transition: all 0.9s ease-in-out;
   }

   .close {
        display: none;
   }
  
   .parchment {
        margin-bottom: -5rem;
        padding-bottom: -50rem;
        width: 25rem;
        pointer-events: auto;
        z-index: 10;
        transition: transform 0.3s ease;
   }

    .parchment:hover {
        transform: translateY(-5px) scale(1.09);
        z-index: 10;
    }

   .parchment:hover {
        transform: translateY(-5px) scale(1.09); 
    }

    .parchment::after {
        content: '';
        position: absolute;
        top: 0;
        left: -100%;
        width: 100%;
        height: 100%;
        transform: skewX(-25deg);
        transition: left 0.7s ease-in-out;
    }

    .parchment:hover::after {
        left: 125%;
    }

   #parchment2 {
        position: relative;
        left: 64rem;
        bottom: 55rem;
   }

   #parchment3 {
        position: relative;
        left: 34rem;
        bottom: 48rem;
    }

    #candle1 {
        position: relative;
        bottom: 8rem;
        left: 8rem;
    }

    #candle2 {
        position: relative;
        bottom: 5rem;
        left: 27rem;
    }

    #candle3 {
        position: relative;
        bottom: 20rem;
        left: 47em;
    }

    #candle4 {
        position: relative;
        bottom: 8rem;
        left: 66rem;
    }

    #candle5 {
        position: relative;
        top: 15rem;
    }

    #candle6 {
        position: relative;
        top: 50rem;
        left: 12rem;
    }

    #candle7 {
        position: relative;
        top: 25rem;
        left: 33rem;
    }

    #candle8 {
        position: relative;
        top: 38rem;
        left: 56.3rem;
    }

    #candle9 {
        position: relative;
        top: 16rem;
        left: 75rem;
    }

    #profile {
        margin-right: 5rem;  
    }

    .aboutme_details {
        font-size: 1.5rem;
    }

    #my_contact:hover,
    #my_resume:hover {
        background-color: rgb(250, 250, 232);
        color: rgb(89, 89, 77);
        font-weight: bolder;
    }

    #live:hover {
        background-color:  rgba(209, 229, 255, 0.672);
        color: rgba(2, 23, 48, 0.672);
        font-weight: bolder;
    }

}


  

  